function testcase(req){
	if(req.method == "OPTIONS"){
		let hdrs = req.responseHeaders.filter(h => {
			return !h.name.toLowerCase().startsWith("access-control");
		}).concat([{
			name: "Access-Control-Allow-Origin",
			value: "*",
		}, {
			name: "Access-Control-Allow-Methods",
			value: "GET,OPTIONS",
		}, {
			name: "Access-Control-Allow-Headers",
			value: "DNT,User-Agent,Content-Type,Non-Standard",
		}]);

		return {
			responseHeaders: hdrs,
		};
	} else if(/^https:\/\/httpbin.org\/anything\/extension_redirect/.test(req.url)){
		return {
			redirectUrl: "https://httpbin.org/json",
		};
	}
}

chrome.webRequest.onHeadersReceived.addListener(
	testcase,
	{ urls: ["https://httpbin.org/*"] },
	["blocking", "responseHeaders"]
);
